diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-VN.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-VN.rdf
index fbbcb1e..748cc62 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-VN.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-VN.rdf
@@ -1334,27 +1334,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Nam Định
+    // Cà Mau
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;Naminh">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;CaMau">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Nam Định</rdfs:label>
-      <skos:definition>The province of Nam Định in the country of Viet Nam</skos:definition>
+      <rdfs:label>Cà Mau</rdfs:label>
+      <skos:definition>The province of Cà Mau in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Nam Định</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Cà Mau</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-67">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-59">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Nam Định in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-67</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-67</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;Naminh"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;Naminh"/>
+      <skos:definition>subdivision code for the province of Cà Mau in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-59</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-59</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;CaMau"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;CaMau"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1364,27 +1364,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Hai Phong
+    // Vĩnh Phúc
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HaiPhong">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VinhPhuc">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Hai Phong</rdfs:label>
-      <skos:definition>The municipality of Hai Phong in the country of Viet Nam</skos:definition>
+      <rdfs:label>Vĩnh Phúc</rdfs:label>
+      <skos:definition>The province of Vĩnh Phúc in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Hai Phong</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Municipality"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Vĩnh Phúc</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-HP">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-70">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the municipality of Hai Phong in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-HP</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-HP</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HaiPhong"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HaiPhong"/>
+      <skos:definition>subdivision code for the province of Vĩnh Phúc in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-70</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-70</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;VinhPhuc"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;VinhPhuc"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1394,27 +1394,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Ho Chi Minh
+    // Tuyên Quang
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HoChiMinh">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;TuyenQuang">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Ho Chi Minh</rdfs:label>
-      <skos:definition>The municipality of Ho Chi Minh in the country of Viet Nam</skos:definition>
+      <rdfs:label>Tuyên Quang</rdfs:label>
+      <skos:definition>The province of Tuyên Quang in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Ho Chi Minh</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Municipality"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Tuyên Quang</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-SG">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-07">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the municipality of Ho Chi Minh in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-SG</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-SG</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HoChiMinh"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HoChiMinh"/>
+      <skos:definition>subdivision code for the province of Tuyên Quang in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-07</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-07</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;TuyenQuang"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;TuyenQuang"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1424,27 +1424,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Lạng Sơn
+    // Gia Lai
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;LangSon">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;GiaLai">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Lạng Sơn</rdfs:label>
-      <skos:definition>The province of Lạng Sơn in the country of Viet Nam</skos:definition>
+      <rdfs:label>Gia Lai</rdfs:label>
+      <skos:definition>The province of Gia Lai in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Lạng Sơn</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Gia Lai</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-09">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-30">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Lạng Sơn in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-09</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-09</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;LangSon"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;LangSon"/>
+      <skos:definition>subdivision code for the province of Gia Lai in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-30</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-30</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;GiaLai"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;GiaLai"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1454,27 +1454,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Thanh Hóa
+    // Lâm Đồng
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;ThanhHoa">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;Lamong">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Thanh Hóa</rdfs:label>
-      <skos:definition>The province of Thanh Hóa in the country of Viet Nam</skos:definition>
+      <rdfs:label>Lâm Đồng</rdfs:label>
+      <skos:definition>The province of Lâm Đồng in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Thanh Hóa</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Lâm Đồng</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-21">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-35">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Thanh Hóa in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-21</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-21</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;ThanhHoa"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;ThanhHoa"/>
+      <skos:definition>subdivision code for the province of Lâm Đồng in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-35</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-35</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;Lamong"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;Lamong"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1484,27 +1484,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Quảng Bình
+    // Tây Ninh
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;QuangBinh">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;TayNinh">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Quảng Bình</rdfs:label>
-      <skos:definition>The province of Quảng Bình in the country of Viet Nam</skos:definition>
+      <rdfs:label>Tây Ninh</rdfs:label>
+      <skos:definition>The province of Tây Ninh in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Quảng Bình</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Tây Ninh</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-24">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-37">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Quảng Bình in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-24</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-24</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;QuangBinh"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;QuangBinh"/>
+      <skos:definition>subdivision code for the province of Tây Ninh in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-37</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-37</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;TayNinh"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;TayNinh"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1514,27 +1514,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Bình Thuận
+    // Đồng Nai
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;BinhThuan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;ongNai">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Bình Thuận</rdfs:label>
-      <skos:definition>The province of Bình Thuận in the country of Viet Nam</skos:definition>
+      <rdfs:label>Đồng Nai</rdfs:label>
+      <skos:definition>The province of Đồng Nai in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Bình Thuận</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Đồng Nai</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-40">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-39">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Bình Thuận in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-40</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-40</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;BinhThuan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;BinhThuan"/>
+      <skos:definition>subdivision code for the province of Đồng Nai in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-39</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-39</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;ongNai"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;ongNai"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1544,27 +1544,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Bà Rịa - Vũng Tàu
+    // Bình Dương
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;BaRia-VungTau">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;BinhDuong">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Bà Rịa - Vũng Tàu</rdfs:label>
-      <skos:definition>The province of Bà Rịa - Vũng Tàu in the country of Viet Nam</skos:definition>
+      <rdfs:label>Bình Dương</rdfs:label>
+      <skos:definition>The province of Bình Dương in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Bà Rịa - Vũng Tàu</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Bình Dương</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-43">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-57">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Bà Rịa - Vũng Tàu in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-43</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-43</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;BaRia-VungTau"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;BaRia-VungTau"/>
+      <skos:definition>subdivision code for the province of Bình Dương in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-57</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-57</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;BinhDuong"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;BinhDuong"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1574,27 +1574,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tiền Giang
+    // Đắk Nông
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;TienGiang">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;akNong">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tiền Giang</rdfs:label>
-      <skos:definition>The province of Tiền Giang in the country of Viet Nam</skos:definition>
+      <rdfs:label>Đắk Nông</rdfs:label>
+      <skos:definition>The province of Đắk Nông in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Tiền Giang</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Đắk Nông</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-46">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-72">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Tiền Giang in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-46</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-46</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;TienGiang"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;TienGiang"/>
+      <skos:definition>subdivision code for the province of Đắk Nông in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-72</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-72</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;akNong"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;akNong"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1604,27 +1604,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Bến Tre
+    // Can Tho
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;BenTre">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;CanTho">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Bến Tre</rdfs:label>
-      <skos:definition>The province of Bến Tre in the country of Viet Nam</skos:definition>
+      <rdfs:label>Can Tho</rdfs:label>
+      <skos:definition>The municipality of Can Tho in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Bến Tre</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Can Tho</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Municipality"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-50">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-CT">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Bến Tre in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-50</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-50</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;BenTre"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;BenTre"/>
+      <skos:definition>subdivision code for the municipality of Can Tho in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-CT</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-CT</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;CanTho"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;CanTho"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1634,27 +1634,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Bạc Liêu
+    // Ha Noi
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;BacLieu">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HaNoi">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Bạc Liêu</rdfs:label>
-      <skos:definition>The province of Bạc Liêu in the country of Viet Nam</skos:definition>
+      <rdfs:label>Ha Noi</rdfs:label>
+      <skos:definition>The municipality of Ha Noi in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Bạc Liêu</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Ha Noi</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Municipality"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-55">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-HN">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Bạc Liêu in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-55</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-55</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;BacLieu"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;BacLieu"/>
+      <skos:definition>subdivision code for the municipality of Ha Noi in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-HN</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-HN</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HaNoi"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HaNoi"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1664,27 +1664,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Cà Mau
+    // Lai Châu
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;CaMau">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;LaiChau">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Cà Mau</rdfs:label>
-      <skos:definition>The province of Cà Mau in the country of Viet Nam</skos:definition>
+      <rdfs:label>Lai Châu</rdfs:label>
+      <skos:definition>The province of Lai Châu in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Cà Mau</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Lai Châu</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-59">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-01">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Cà Mau in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-59</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-59</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;CaMau"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;CaMau"/>
+      <skos:definition>subdivision code for the province of Lai Châu in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-01</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-01</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;LaiChau"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;LaiChau"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1694,27 +1694,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Vĩnh Phúc
+    // Hà Giang
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VinhPhuc">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;HaGiang">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Vĩnh Phúc</rdfs:label>
-      <skos:definition>The province of Vĩnh Phúc in the country of Viet Nam</skos:definition>
+      <rdfs:label>Hà Giang</rdfs:label>
+      <skos:definition>The province of Hà Giang in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Vĩnh Phúc</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Hà Giang</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-70">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-03">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Vĩnh Phúc in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-70</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-70</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;VinhPhuc"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;VinhPhuc"/>
+      <skos:definition>subdivision code for the province of Hà Giang in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-03</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-03</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;HaGiang"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;HaGiang"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
@@ -1724,27 +1724,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Tuyên Quang
+    // Cao Bằng
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;TuyenQuang">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;CaoBang">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Tuyên Quang</rdfs:label>
-      <skos:definition>The province of Tuyên Quang in the country of Viet Nam</skos:definition>
+      <rdfs:label>Cao Bằng</rdfs:label>
+      <skos:definition>The province of Cao Bằng in the country of Viet Nam</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;VietNam"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Tuyên Quang</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="vi">Cao Bằng</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-vn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-07">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-vn;VN-04">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Tuyên Quang in the country of Viet Nam</skos:definition>
-      <rdfs:label>VN-07</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-07</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;TuyenQuang"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;TuyenQuang"/>
+      <skos:definition>subdivision code for the province of Cao Bằng in the country of Viet Nam</skos:definition>
+      <rdfs:label>VN-04</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">VN-04</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-vn;CaoBang"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-vn;CaoBang"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-vn;"/>
    </owl:NamedIndividual>
